# Create Extension Instance

## POST /public/v1/integration/extensions/{extensionId}/instances

>

```json
{"openapi":"3.0.1","info":{"title":"Marketplace API","version":"5.0.5102-g2bf281b6"},"servers":[{"url":"https://api.platform.softwareone.com"}],"paths":{"/public/v1/integration/extensions/{extensionId}/instances":{"post":{"tags":["Instance"],"parameters":[{"name":"extensionId","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateInstanceRequest"}]}},"text/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateInstanceRequest"}]}},"application/*+json":{"schema":{"allOf":[{"$ref":"#/components/schemas/CreateInstanceRequest"}]}}}},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Instance"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"CreateInstanceRequest":{"type":"object","properties":{"meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/ExtensionMetaRef"}]},"externalId":{"type":"string"},"version":{"type":"string"},"channel":{"nullable":true}},"additionalProperties":false},"ExtensionMetaRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"version":{"type":"string"}},"additionalProperties":false},"Instance":{"type":"object","properties":{"id":{"type":"string"},"audit":{"allOf":[{"$ref":"#/components/schemas/InstanceAudit"}]},"$meta":{"allOf":[{"$ref":"#/components/schemas/PlatformMetadata"}],"nullable":true},"name":{"type":"string"},"revision":{"type":"integer","format":"int32"},"extension":{"type":"object","allOf":[{"$ref":"#/components/schemas/ExtensionRef"}]},"meta":{"type":"object","allOf":[{"$ref":"#/components/schemas/ExtensionMetaRef"}]},"externalId":{"type":"string"},"status":{"enum":["Connecting","Disconnected","Running","Deleted"],"type":"string"},"channel":{"allOf":[{"$ref":"#/components/schemas/ChannelEntity"}],"nullable":true}},"additionalProperties":false},"InstanceAudit":{"type":"object","properties":{"created":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"updated":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"connecting":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"running":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true},"disconnected":{"allOf":[{"$ref":"#/components/schemas/PlatformObjectEvent"}],"nullable":true}},"additionalProperties":false},"PlatformObjectEvent":{"type":"object","properties":{"at":{"type":"string","format":"date-time","nullable":true},"by":{"type":"object","allOf":[{"$ref":"#/components/schemas/PlatformIdentityRef"}]}},"additionalProperties":false},"PlatformIdentityRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"PlatformMetadata":{"type":"object","properties":{"omitted":{"type":"array","items":{"type":"string"}}},"additionalProperties":false},"ExtensionRef":{"type":"object","properties":{"id":{"type":"string"},"name":{"type":"string"},"icon":{"type":"string","nullable":true},"revision":{"type":"integer","format":"int32"}},"additionalProperties":false},"ChannelEntity":{"type":"object","properties":{"identity":{"nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```
